# $Revision: 1.21 $, $Date: 2004/07/04 10:56:39 $
Summary:	Tk sound editor, with record, playback, and mixer facilities
Summary(pl):	Edytor dwiku z moliwoci nagrywania, odtwarzania i miksowania
Name:		SoundStudio
Version:	1.0.6
Release:	4
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/studio/%{name}-%{version}.tar.gz
# Source0-md5:	673314c074f719460cf08ed27f2b954b
Source1:	%{name}.desktop
Source2:	studio.xpm
Patch0:		%{name}.patch
Patch1:		%{name}-endian.patch
URL:		http://studio.sourceforge.net/
Requires:	tcl >= 7.4
Requires:	tk >= 4.0
Requires:	sox >= 11
Requires:	/bin/more
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sound Studio provides a graphical user interface for manipulating
digitized sound. It allows you to record, play and edit sound files in
various formats, such as Microsoft's wav files, Sun's audio files
(.au) and Creative Lab's .voc format. It also provides access to a
sound card's built-in mixer to adjust recording levels and output
volumes. Also Sound Studio provides you with information about the
sample and allows conversion into other formats, sampling rates etc.

%description -l pl
Sound Studio daje graficzny interfejs do obrabiania cyfrowego dwiku.
Pozwala na nagrywanie, odtwarzanie i edycj plikw dwikowych
w rnych formatach: Microsoft .wav, Sun .au, Creative Labs .voc.
Daje take dostp do miksera karty dwikowej. Pozwala na konwersj do
innych formatw i czstotliwoci prbkowania.

%prep
%setup -q -n SoundStudio
%patch0 -p1
%patch1 -p1

%build
MYFILES=%{_libdir}/%{name} \
SOX_CMD="set SOX_CMD [exec which sox]" \
CC="%{__cc} %{rpmcflags}" \
./build default

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir}/mini,%{_libdir}/%{name},%{_bindir}} \
	$RPM_BUILD_ROOT%{_desktopdir}

install studio reset_dsp $RPM_BUILD_ROOT%{_bindir}
install fader maxmin studio_mixer studio_tool $RPM_BUILD_ROOT%{_libdir}/%{name}
install *.tk *.ico $RPM_BUILD_ROOT%{_libdir}/%{name}
install help1.hlp v12.au StudioHelp $RPM_BUILD_ROOT%{_libdir}/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/mini/studio.xpm
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/studio
%attr(755,root,root) %{_bindir}/reset_dsp
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/fader
%attr(755,root,root) %{_libdir}/%{name}/maxmin
%attr(755,root,root) %{_libdir}/%{name}/studio_mixer
%attr(755,root,root) %{_libdir}/%{name}/studio_tool
%{_libdir}/%{name}/*.tk
%{_libdir}/%{name}/*.ico
%{_libdir}/%{name}/*.hlp
%{_libdir}/%{name}/*.au
%{_libdir}/%{name}/StudioHelp
%{_pixmapsdir}/mini/studio.xpm
%{_desktopdir}/SoundStudio.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SoundStudio.spec,v $
Revision 1.21  2004/07/04 10:56:39  djurban
- to ac with new categs

Revision 1.20  2004/07/04 00:15:31  havner
- applnk -> vfolders

Revision 1.19  2004/01/18 11:12:52  qboosh
- added endian patch (for alpha/amd64/ppc/sparc), release 2

Revision 1.18  2003/08/28 08:20:29  ankry
- cosmetics

Revision 1.17  2003/08/06 11:28:50  qboosh
- standardized clean

Revision 1.16  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.13  2002/12/03 21:33:53  ankry
- cleaning

Revision 1.12  2002/07/25 21:32:33  qboosh
- updated to 1.0.6 (new Add Silence fuction, updates for new sox)
- updated patch, new %%doc, use proper CC

Revision 1.11  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/01 21:05:30  qboosh
- fixed %install

Revision 1.8  2001/12/27 12:34:59  qboosh
- changed .wmconfig to .desktop

Revision 1.7  2001/07/31 16:48:11  qboosh
- updated to 1.0.5, updated URLs
- TODO: change .wmconfig file to .desktop file

Revision 1.6  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.5  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.2  1999/11/27 14:24:09  kloczek
- adapter(ized) and partialy rewrited.

* Sun May  9 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (%install)

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- rebuilt package for 5.2, fixed RPM.

* Wed May 19 1998 Michael Maher <mike@redhat.com>
- built package
